#/bin/sh

# This script should be called from connector_manager.sh, and accepts the following parameters:
#  start_JText.sh <CONNECTORNAME> <SERVERNAME> <OPTIONAL ADDITIONAL PARAMETERS>



##
## START Defining common variables used
##

# set the name to be the application connector that is starting
CONNAME=$1

# set the server name to be the interchange that is being targeted
SERVER=$2

# set the directory where the specific connector resides
CONNDIR=${CROSSWORLDS}/connectors/${CONNAME}

# Define all the connector specific veraibales here
CONNECTOR_TYPE="-l"                  
CONNECTOR_AGENT=com.crossworlds.connectors.jtext.ConnectorAgent
CONJAR=${CONNDIR}/CWJText.jar

#for FTP jar
COMMONS_NET=${CONNDIR}/Dependencies/jakarta-oro-2.0.8.jar:${CONNDIR}/Dependencies/commons-net-1.1.0.jar

# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "

##
## END Defining the common variables used.
##



# Begin as per the new run-time code split
if [ -f ${CROSSWORLDS}/wbiart/wbiart.jar ]
then
# Using the new run-time code split
. ${CROSSWORLDS}/bin/CWConnEnv.sh

# Going to the directory where the connector class files reside
cd "${CONNDIR}"

# All the variables that need to be passed to the callee need to be defined here
JCLASSES=.:${CONJAR}:${COMMONS_NET}:${JCLASSES}
LibPath=
ExtDirs=
JVMArgs=

export JCLASSES
export LibPath
export ExtDirs
export JVMArgs

# Call the base start_adapter.sh to start the connector
exec start_adapter.sh ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS} $3 $4

else

. ${CROSSWORLDS}/bin/CWConnEnv.sh

################################################
# Connector specific variable initialization section
# Set your Connector agent here

#Any specific variables defined above need to be added to the CON_SPECIFIC_CLASSPATH below.
#CR 8851
#CON_SPECIFIC_CLASSPATH=${CONJAR}:${CWCLASSES}:${DATAHANDLER}:${CUST_DATAHANDLER}:${IBM_XML4J}
CON_SPECIFIC_CLASSPATH=${CONJAR}:${CWCLASSES}:${XML_PARSER}:${COMMONS_NET}

#set class path

CWCLASSES=${CWCLASSES}
CLASSPATH=${CON_SPECIFIC_CLASSPATH}:${CWCLASSES}
echo $CLASSPATH
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"

# start the Java connector under the Java Application End
#-Duser.home={CROSSWORLDS
# REVISIT : On solaris we use Java instead of jre
exec ${CWJAVA}  ${JVM_FLAGS} -Xms64m  -Djava.ext.dirs=${JRE_EXT_DIRS}  -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS} $3 $4 

fi
#closed the new runtime split above.